Distribution: 	CCux
Packager: 	luke skywalker <luke@lionbit.com>

Name:      	lineak-defaultplugin
Summary:   	collection of macros for lineakd
Version:   	0.9
Release:   	1

License: 	GNU/GPL
Url:   		http://lineak.sourceforge.net
Group:    	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-DESTDIR.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires:	lineakd = %{version}-%{release}

BuildRequires:	lineakd-devel = %{version}-%{release}
BuildRequires:	glibc-devel
BuildRequires:	libstdc++-devel

Obsoletes:	lineak_defaultplugin

%define		plugindir	%_libdir/lineakd/plugins

%description 
This plugin contains macros for lineakd that can be used in a configuration file that facilitate contolling of volume, cdrom eject, etc. These 
macros used to be a part of the lineakd daemon. However, since version 0.8 they have been separated out into this plugin. 
The lineakd daemon no longer implicitly knows about configuration file macros.

%package	devel
Summary:        %{name} development headers.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sysconfdir
%_mandir
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog 
* Fri May 02 2008 Christian Wasem <wasem@ccux-linux.de> 0.9-1
- Version update
* Tue May 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.4-1
- revised specfile
- Version update
* Sat Jul 16 2005 Luke <luke@lionbit.com> 0.8.3-1 
- Initial Release